unit uDatosBancariosEmpresaController;

interface

uses
  Windows, Forms, Classes, Controls, Contnrs, SysUtils, uDADataTable,
  uBizEmpresas, uBizEmpresasDatosBancarios, uIDataModuleEmpresas;

type
  IDatosBancariosEmpresaController = interface
  ['{E9B0313E-7B16-420A-B47E-20E42E96BAC6}']
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
  end;

  TDatosBancariosEmpresaController = class(TInterfacedObject, IDatosBancariosEmpresaController)
  private
    FDataModule : IDataModuleEmpresas;
  public
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
    constructor Create; virtual;
    destructor Destroy; override;
  end;

implementation

{ TDatosBancariosEmpresaController }

uses
  uDataModuleEmpresas, schEmpresasClient_Intf, uIEditorDatosBancarioEmpresa,
  uEditorRegistryUtils, cxControls;

constructor TDatosBancariosEmpresaController.Create;
begin
  inherited;
//  FDataModule := TDataModuleEmpresas.Create(Nil);
end;

destructor TDatosBancariosEmpresaController.Destroy;
begin
  FDataModule := Nil;
  inherited;
end;

procedure TDatosBancariosEmpresaController.Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
var
  AEditor : IEditorDatosBancariosEmpresa;
begin
  AEditor := NIL;
  ShowHourglassCursor;
  try
    CreateEditor('EditorDatosBancariosEmpresa', IEditorDatosBancariosEmpresa, AEditor);
    if Assigned(AEditor) then
       with AEditor do
       begin
         DatosBancarios := ADatosBancarios;
         Controller := Self;
         ShowModal;
         Release;
       end;
  finally
    AEditor := NIL;
    HideHourglassCursor;
  end;
end;

end.
